llvm.org GIT mirror llvm / 9fb4897
Fix bug in test-release.sh where the script would not exit if any of the build stages that are sent through a pipe (e.g. tee) failed. This potentially allowed builds and/or tests to fail without anyone noticing. It appears that for the LLVM 3.6.[01] releases this actually happened for the Ubuntu 14.04LTS binary releases. The essence of the issue is that without ``set -o pipefail`` the following command in bash has a zero exit code. false | tee /dev/null ; exit $? git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@241599 91177308-0d34-0410-b5e6-96231b3b80d8 Dan Liew 4 years ago
1 changed file(s) with 5 addition(s) and 1 deletion(s). Raw diff Collapse all Expand all
347347 cd $cwd
348348 }
349349
350 set -e # Exit if any command fails
350 # Exit if any command fails
351 # Note: pipefail is necessary for running build commands through
352 # a pipe (i.e. it changes the output of ``false | tee /dev/null ; echo $?``)
353 set -e
354 set -o pipefail
351355
352356 if [ "$do_checkout" = "yes" ]; then
353357 export_sources